#
# spec file for package ghc-cookie
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name cookie

Name:           ghc-cookie
Version:        0.4.2
Release:        1.2
Summary:        HTTP cookie parsing and rendering
License:        BSD-2-Clause
Group:          System/Libraries

Url:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-blaze-builder-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-data-default-class-devel
BuildRequires:  ghc-data-default-devel
BuildRequires:  ghc-old-locale-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-time-devel
# End cabal-rpm deps

%description
Haskell HTTP cookie parsing and rendering.


%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Provides:       %{name}-static = %{version}-%{release}
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc README.md ChangeLog.md

%changelog
* Tue Apr 26 2016 mimi.vx@gmail.com
- update to 0.4.2
  * Added SameSite
* Sun Jun 28 2015 mimi.vx@gmail.com
- update to 0.4.1.6
* Thu May 21 2015 mimi.vx@gmail.com
- correct licence to BSD-2-Clause
* Mon May  4 2015 mimi.vx@gmail.com
- update to 0.4.1.5
  * no upstream changelog
* Wed Apr 22 2015 mimi.vx@gmail.com
- update to 0.4.1.4
  * no upstream changelog
* Mon Oct  7 2013 sbahling@suse.com
- Initial package - version 0.4.0.1
